Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
sys-apps/lm_sensors-2.10.7: Could not find a usable .config
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
dottore
n00b
n00b


Joined: 07 Aug 2006
Posts: 27
Location: Southern Germany

PostPosted: Wed Jun 16, 2010 7:57 pm    Post subject: sys-apps/lm_sensors-2.10.7: Could not find a usable .config Reply with quote

Hallo,

ich schaffe es nicht, lm-sensors zu installieren. Ich erhalte die Fehlermeldung:

Quote:
* Could not find a usable .config in the kernel source directory.
* Please ensure that /usr/src/linux points to a configured set of Linux sources.
* If you are using KBUILD_OUTPUT, please set the environment var so that
* it points to the necessary object directory so that it might find .config.
* ERROR: sys-apps/lm_sensors-2.10.7 failed:
* Kernel not configured; no .config found in /lib/modules/2.6.25-gentoo-r4/build


KBUILD_OUTPUT verwende ich nicht. Ich habe schon im Internet danach gesucht, habe auch einige ähnliche Probleme gefunden. Allerdings finde ich einfach keine Lösung. Mich irritieren zwei Dinge. Erstens habe ich bei mir gar nicht 2.6.25-gentoo-r4 installiert. Und zweitens habe ich eine Datei .config. Bei mir gibt es:

Quote:
e5630 src # ls -ld /usr/src/linux*
lrwxrwxrwx 1 root root 22 15. Jun 22:16 /usr/src/linux -> linux-2.6.32-gentoo-r7
drwxr-xr-x 23 root root 4096 13. Mär 11:08 /usr/src/linux-2.6.31-gentoo-r10
drwxr-xr-x 24 root root 4096 12. Mai 19:29 /usr/src/linux-2.6.32-gentoo-r7


Der aktuelle Kernel linux-2.6.32-gentoo-r7 ist von mir selbst compiliert, es existiert die Datei .config.

Also hat jemand eine Idee, was da vor sich geht? Was kann ich untersuchen, was kann ich machen?

(Zu meinem Hintergrund: Ich arbeite schon viele Jahre mit Gentoo und noch viel mehr Jahre mit Unix/Linux.)
Back to top
View user's profile Send private message
disi
Veteran
Veteran


Joined: 28 Nov 2003
Posts: 1354
Location: Out There ...

PostPosted: Thu Jun 17, 2010 10:40 am    Post subject: Reply with quote

Er sagt ja, er kann keine _brauchbare_ .config finden.

Hast du denn das folgende im Kernel aktiviert?

Quote:
Device Drivers --->
<M> I2C support --->
<M> I2C device interface
I2C Hardware Bus support --->
# Activate everything
<M> Hardware Monitoring Support --->
# Activate everything


http://en.gentoo-wiki.com/wiki/Lm_sensors

Benutzt du genkernel oder normal: make menuconfig && make && make modules_install && make install

Bootest du den richtigen Kernel? (uname -a)
_________________
Gentoo on Uptime Project - Larry is a cow
Back to top
View user's profile Send private message
pilla
Administrator
Administrator


Joined: 07 Aug 2002
Posts: 7693
Location: Pelotas, BR

PostPosted: Thu Jun 17, 2010 10:50 am    Post subject: Reply with quote

Moved from Portage & Programming to Diskussionsforum.
_________________
"I'm just very selective about the reality I choose to accept." -- Calvin
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Thu Jun 17, 2010 2:51 pm    Post subject: Reply with quote

Moved from Diskussionsforum to Deutsches Forum (German). -- Finswimmer
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
mrsteven
Veteran
Veteran


Joined: 04 Jul 2003
Posts: 1938

PostPosted: Thu Jun 17, 2010 8:46 pm    Post subject: Re: sys-apps/lm_sensors-2.10.7: Could not find a usable .con Reply with quote

dottore wrote:
(Zu meinem Hintergrund: Ich arbeite schon viele Jahre mit Gentoo und noch viel mehr Jahre mit Unix/Linux.)


Trotzdem eine blöde Frage: Bist du dir sicher, dass du auch tatsächlich den neuen Kernel bootest und nicht noch irgend ein alter in /boot herum liegt und gestartet wird? Was sagt denn uname -a auf deinem System?
_________________
Unix philosophy: "Do one thing and do it well."
systemd: "Do everything and do it wrong."
Back to top
View user's profile Send private message
69719
l33t
l33t


Joined: 20 Sep 2004
Posts: 865

PostPosted: Thu Jun 17, 2010 10:01 pm    Post subject: Reply with quote

Oder in der grub/lilo config steht /boot/vmlinuz-... als standart Kernel, dann sollte er den Eintrag aktualisieren.
Back to top
View user's profile Send private message
dottore
n00b
n00b


Joined: 07 Aug 2006
Posts: 27
Location: Southern Germany

PostPosted: Fri Jun 18, 2010 7:00 pm    Post subject: Reply with quote

Vielen Dank für die vielen Antworten. Aber ich bin noch nicht erfolgreich. Ich antworte mal auf die Vorschläge und Fragen.

Also ich verwende make menuconfig && make && make modules_install && make install
Ich boote den gerade neu erstellten Kernel (mit allen lm-sensors Konfigurationen wie oben empfohlen). uname -r sagt: 2.6.32-gentoo-r7
In /boot liegt nur vmlinuz-2.6.32-gentoo-r7 und vmlinuz-2.6.32-gentoo-r7.old. Gebootet wird ersterer.

Daher bleiben meine Probleme:
Was ist wohl eine passende Konfig, wenn meine es nicht ist? Es wäre ja hilfreich, wenn die falsch gesetzte Einstellung genannt würde.
Und warum wird bei der Installation in 2.6.25-gentoo-r4 gesucht? (Siehe Ausgabe: Kernel not configured; no .config found in /lib/modules/2.6.25-gentoo-r4/build)
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Fri Jun 18, 2010 7:38 pm    Post subject: Reply with quote

Soweit mir bekannt wird überprüft ob CONFIG_HWMON gesetzt ist, ist es nicht gesetzt kommt es zu deiner genannten Fehlermeldung.
Warum bei dir nun in /lib/modules/2.6.25-gentoo-r4/build gesucht wird ist mir auch ein Rätsel...
Ist es den wirklich im aktuell laufenden Kernel gesetzt?
schau doch mal was ein
Code:
$ zgrep HWMON /proc/config.gz
ausgibt.

Ansonsten, gibt es einen Grund warum du noch die ältere lm_sensors-2.10.7 Version verwendet möchtest?
aktuell ist doch auch schon lm_sensors-3.1.2 in den meisten Architekturen stable
siehe http://packages.gentoo.org/package/sys-apps/lm_sensors
Back to top
View user's profile Send private message
dottore
n00b
n00b


Joined: 07 Aug 2006
Posts: 27
Location: Southern Germany

PostPosted: Fri Jun 18, 2010 8:26 pm    Post subject: Reply with quote

zgrep HWMON /proc/config.gz gibt aus:
Quote:
CONFIG_HWMON=y
CONFIG_HWMON_VID=m
# CONFIG_HWMON_DEBUG_CHIP is not set
# CONFIG_THERMAL_HWMON is not set


Ich persönlich will ja gar nicht unbedingt die Version 2.10.7. emerge zieht es bei mir halt an.

equery d lm_sensors gibt bei mir aus:
Quote:
[ Searching for packages depending on lm_sensors... ]
kde-base/ksysguard-4.3.5 (lm_sensors? sys-apps/lm_sensors)
net-analyzer/net-snmp-5.4.2.1-r1 (lm_sensors? =sys-apps/lm_sensors-2*)


Also liegt es wohl an net-snmp. Und das brauche ich für:
Quote:
equery d net-snmp
[ Searching for packages depending on net-snmp... ]
dev-lang/php-5.2.13 (snmp? >=net-analyzer/net-snmp-5.2)
net-analyzer/nagios-plugins-1.4.14 (snmp? >=net-analyzer/net-snmp-5.0.6)
net-print/hplip-3.9.12-r1 (snmp? net-analyzer/net-snmp)
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3626
Location: Germany

PostPosted: Sat Jun 19, 2010 3:16 pm    Post subject: Reply with quote

Hm.., dann scheint aber irgendwas mit deinem Kernel nicht in Ordnung zu sein..
Ich hab hier grad mal lm_sensors-2.10.7 gebaut, es klappte einwandfrei, einziger unterschied, hier ist CONFIG_HWMON als Modul gesetzt.

Ansonsten baue den Kernel doch noch mal komplett neu, sichere die .config und säubere auch den Kernel Baum mit einem "make mrproper" , evtl. auch das entsprechende /lib/modules/Verzeichnis löschen oder wegsichern und dann den Kernel komplett neu bauen.
Back to top
View user's profile Send private message
bbgermany
Veteran
Veteran


Joined: 21 Feb 2005
Posts: 1792
Location: Oranienburg/Germany

PostPosted: Sat Jun 19, 2010 4:40 pm    Post subject: Reply with quote

Hi,

ich hab das jetzt mal auch versucht, Kernel 2.6.34. Also das Paket lässt sich sauber übersetzen.

Code:
 * lm_sensors-2.10.7.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                                                                                            [ ok ]
 * checking ebuild checksums ;-) ...                                                                                                                                                                   [ ok ]
 * checking auxfile checksums ;-) ...                                                                                                                                                                  [ ok ]
 * checking miscfile checksums ;-) ...                                                                                                                                                                 [ ok ]
 * checking lm_sensors-2.10.7.tar.gz ;-) ...                                                                                                                                                           [ ok ]
 * CPV:  sys-apps/lm_sensors-2.10.7
 * REPO: gentoo
 * USE:  amd64 elibc_glibc kernel_linux multilib userland_GNU
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/2.6.34-gentoo/build
 * Found sources for kernel version:
 *     2.6.34-gentoo
>>> Unpacking source...
>>> Unpacking lm_sensors-2.10.7.tar.gz to /var/tmp/portage/sys-apps/lm_sensors-2.10.7/work
 * Applying lm_sensors-2.10.7-sensors-detect-gentoo.patch ...                                                                                                                                          [ ok ]
>>> Source unpacked in /var/tmp/portage/sys-apps/lm_sensors-2.10.7/work
>>> Compiling source in /var/tmp/portage/sys-apps/lm_sensors-2.10.7/work/lm_sensors-2.10.7 ...


was sagt denn ein "ls -la /lib/modules/*" bei dir. Und eine vollständige Ausgabe von "uname -a" wie bereits zwei mal angefragt, wär auch nicht schlecht.

MfG. Stefan
_________________
1st: i5-4570, 16GB, 1.75TB
2nd: i5-4570, 16GB, 620GB
3rd: i5-4570, 16GB, 10,5TB
4th: Asus N61VN, 8GB, 240GB
5th: C2D T7200, 2GB, 16GB USB + NFS
Back to top
View user's profile Send private message
dottore
n00b
n00b


Joined: 07 Aug 2006
Posts: 27
Location: Southern Germany

PostPosted: Sat Jun 19, 2010 4:45 pm    Post subject: Reply with quote

Ich habe neue Erkenntnisse. Ich meine, es liegt an portage. Ich habe sys-apps/portage-2.2_rc62 installiert. Mit dem Befehl
Code:
emerge --update  --deep --usepkg @world
erhalte ich die eingangs beschriebene Fehlermeldung. Wenn ich den Schalter --usepkg weglasse, funktioniert die Installation!

Jetzt habe ich gerade gesehen, dass es die neuere Version portage-2.2_rc67 gibt. Aber das Problem besteht auch mit der Version.

Na ja, jetzt weiß ich wenigstens, wie ich es umgehen kann. Vielen Dank Euch für die Hilfe!
Back to top
View user's profile Send private message
firefly
Advocate
Advocate


Joined: 31 Oct 2002
Posts: 4459

PostPosted: Sat Jun 19, 2010 5:02 pm    Post subject: Reply with quote

dottore wrote:
Ich habe neue Erkenntnisse. Ich meine, es liegt an portage. Ich habe sys-apps/portage-2.2_rc62 installiert. Mit dem Befehl
Code:
emerge --update  --deep --usepkg @world
erhalte ich die eingangs beschriebene Fehlermeldung. Wenn ich den Schalter --usepkg weglasse, funktioniert die Installation!

Jetzt habe ich gerade gesehen, dass es die neuere Version portage-2.2_rc67 gibt. Aber das Problem besteht auch mit der Version.

Na ja, jetzt weiß ich wenigstens, wie ich es umgehen kann. Vielen Dank Euch für die Hilfe!

Für was brauchst du --usepkg?
Diese option dient dazu binary packages (erstellt entweder mit quickpkg oder mit der emerge option --buildpkg) zu verwenden anstelle das paket aus den sourcen zu installieren.
_________________
Ein Ring, sie zu knechten, sie alle zu finden,
Ins Dunkel zu treiben und ewig zu binden
Im Lande Mordor, wo die Schatten drohn.
Back to top
View user's profile Send private message
dottore
n00b
n00b


Joined: 07 Aug 2006
Posts: 27
Location: Southern Germany

PostPosted: Sat Jun 19, 2010 5:23 pm    Post subject: Reply with quote

Ich habe mir ein alias gemacht, um nicht immer die lange Kommandozeile eintippen zu müssen. In diesem alias habe ich --usepkg eingebaut, damit, falls verfügbar, das binäre Package verwendet wird, das ich mir schon mal vorher erstellt hatte. Der Sinn dahinter: Es gab mal die Notwendigkeit schnell mal zwischen zwei Versionen wechseln zu müssen. Das war über diesen Weg sehr einfach zu machen.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum